package intrinsic.mx.messaging.events;

public class ChannelEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public String channelId;

	/** Variables */
	public intrinsic.mx.messaging.Channel channel;
	public boolean reconnecting;
	public boolean connected;
	public boolean rejected;

	/** Constants */
	public static final String CONNECT = "connect";
	public static final String DISCONNECT = "disconnect";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ChannelEvent() {
}

public ChannelEvent(String arg0) {
}

public ChannelEvent(String arg0, boolean arg1) {
}

public ChannelEvent(String arg0, boolean arg1, boolean arg2) {
}

public ChannelEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3) {
}

public ChannelEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4) {
}

public ChannelEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, boolean arg5) {
}

public ChannelEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.messaging.Channel arg3, boolean arg4, boolean arg5, boolean arg6) {
}


/** Static Methods */
public static native intrinsic.mx.messaging.events.ChannelEvent createEvent(String arg0);
public static native intrinsic.mx.messaging.events.ChannelEvent createEvent(String arg0, intrinsic.mx.messaging.Channel arg1);
public static native intrinsic.mx.messaging.events.ChannelEvent createEvent(String arg0, intrinsic.mx.messaging.Channel arg1, boolean arg2);
public static native intrinsic.mx.messaging.events.ChannelEvent createEvent(String arg0, intrinsic.mx.messaging.Channel arg1, boolean arg2, boolean arg3);
public static native intrinsic.mx.messaging.events.ChannelEvent createEvent(String arg0, intrinsic.mx.messaging.Channel arg1, boolean arg2, boolean arg3, boolean arg4);

/** Methods */
public native String toString();
public native Object clone();

}
